Bug 11855 - Restart cleanupd if needed
Restart cleanupd if needed
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-19 11:01 UTC by Ralph Böhme
Modified: 2016-04-28 09:40 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.4 cherry-picked from master (2.59 KB, patch)
2016-04-27 07:58 UTC, Ralph Böhme
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2016-04-19 11:01:23 UTC
On a cluster with "ctdb timeout = x" cleanupd may exit when a recovery is started while running a db traverse in cleanupd.

When recovery kicks in, the traverse freezes and if recovery takes longer then ctdb timeout, cleanupd closes the ctdb connection and exits.

So we should better be restarting cleanup in smbd whenwe notice it exitted.
Comment 1 Ralph Böhme 2016-04-27 07:58:44 UTC
Created attachment 12026 [details]
Patch for 4.4 cherry-picked from master
Comment 2 Karolin Seeger 2016-04-27 10:13:36 UTC
Pushed to autobuild-v4-4-test.
Comment 3 Karolin Seeger 2016-04-28 09:40:00 UTC
Pushed to v4-4-test.
Closing out bug report.

Thanks!